Skip to main content
`Ctrl`+`K`

# SNESGetNPCFunction

Gets the current function value and its norm from a nonlinear preconditioner after `SNESSolve()` has been called on that `SNES`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetNPCFunction(SNES snes, Vec F, PetscReal *fnorm)

Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- F - function vector

- fnorm - the norm of `F`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetNPC()`, `SNESSetNPC()`, `SNESComputeFunction()`, `SNESApplyNPC()`, `SNESSolve()`

## Level

developer

## Location

src/snes/interface/snespc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages